(function (cjs, an) {

var p; // shortcut to reference prototypes
var lib={};var ss={};var img={};
lib.ssMetadata = [];


(lib.AnMovieClip = function(){
	this.actionFrames = [];
	this.ignorePause = false;
	this.gotoAndPlay = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndPlay.call(this,positionOrLabel);
	}
	this.play = function(){
		cjs.MovieClip.prototype.play.call(this);
	}
	this.gotoAndStop = function(positionOrLabel){
		cjs.MovieClip.prototype.gotoAndStop.call(this,positionOrLabel);
	}
	this.stop = function(){
		cjs.MovieClip.prototype.stop.call(this);
	}
}).prototype = p = new cjs.MovieClip();
// symbols:



(lib._1a = function() {
	this.initialize(img._1a);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib._1b = function() {
	this.initialize(img._1b);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib._1bg = function() {
	this.initialize(img._1bg);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib._1c = function() {
	this.initialize(img._1c);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib._1d = function() {
	this.initialize(img._1d);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib._1e = function() {
	this.initialize(img._1e);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib._1g = function() {
	this.initialize(img._1g);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib._1logo = function() {
	this.initialize(img._1logo);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib._1spon = function() {
	this.initialize(img._1spon);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib._1ta = function() {
	this.initialize(img._1ta);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib._2a = function() {
	this.initialize(img._2a);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib._2b = function() {
	this.initialize(img._2b);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib._2bg = function() {
	this.initialize(img._2bg);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib._2c = function() {
	this.initialize(img._2c);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib._2d = function() {
	this.initialize(img._2d);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib._2e = function() {
	this.initialize(img._2e);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib._2hotline = function() {
	this.initialize(img._2hotline);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib._2logo = function() {
	this.initialize(img._2logo);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib._2nhanve = function() {
	this.initialize(img._2nhanve);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib.replay_btn = function() {
	this.initialize(img.replay_btn);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,14,14);// helper functions:

function mc_symbol_clone() {
	var clone = this._cloneProps(new this.constructor(this.mode, this.startPosition, this.loop, this.reversed));
	clone.gotoAndStop(this.currentFrame);
	clone.paused = this.paused;
	clone.framerate = this.framerate;
	return clone;
}

function getMCSymbolPrototype(symbol, nominalBounds, frameBounds) {
	var prototype = cjs.extend(symbol, cjs.MovieClip);
	prototype.clone = mc_symbol_clone;
	prototype.nominalBounds = nominalBounds;
	prototype.frameBounds = frameBounds;
	return prototype;
	}


(lib.Symbol39 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._1g();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib.Symbol37 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._1e();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib.Symbol35 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._1d();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib.Symbol33 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._1c();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib.Symbol31 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._1b();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib.Symbol29 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._1a();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib.Symbol27 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._2nhanve();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib.Symbol25 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._2logo();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib.Symbol23 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._2hotline();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib.Symbol21 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._2e();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib.Symbol19 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._2d();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib.Symbol17 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._2c();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib.Symbol15 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._2bg();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib.Symbol13 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._2b();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib.Symbol11 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._2a();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib.Symbol7 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._1ta();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib.Symbol5 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._1spon();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib.Symbol3 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._1logo();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib.Symbol1 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib._1bg();

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,0,300,600);


(lib.Symbol3copy5 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#000000").ss(1,1,1).p("Egq9gfPMBV7AAAMAAAA+fMhV7AAAg");
	this.shape.setTransform(275,200);

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#993300").s().p("Egq9AfQMAAAg+fMBV7AAAMAAAA+fg");
	this.shape_1.setTransform(275,200);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[]}).to({state:[{t:this.shape_1},{t:this.shape}]},3).wait(1));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-1,-1,552,402);


(lib.Symbol3copy4 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.replay_btn();
	this.instance.setTransform(14,0,1,1,0,0,180);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.Symbol3copy4, new cjs.Rectangle(0,0,14,14), null);


(lib.Symbol40 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol39("synched",0);
	this.instance.setTransform(184.5,402,0.4667,0.4667,0,0,0,187.5,375);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({scaleX:1.1067,scaleY:1.1067,x:185.5,y:375,alpha:1},9,cjs.Ease.get(1)).to({scaleX:1,scaleY:1,x:187.5},5,cjs.Ease.get(1)).wait(131).to({startPosition:0},0).to({_off:true},1).wait(54));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-22,-40,332,664);


(lib.Symbol38 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol37("synched",0);
	this.instance.setTransform(184.5,402,0.4667,0.4667,0,0,0,187.5,375);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({scaleX:1.1067,scaleY:1.1067,x:187.5,y:375,alpha:1},9,cjs.Ease.get(1)).to({scaleX:1,scaleY:1},5,cjs.Ease.get(1)).wait(70).to({startPosition:0},0).to({y:365},5,cjs.Ease.get(1)).to({y:375},5,cjs.Ease.get(1)).wait(51).to({startPosition:0},0).to({_off:true},1).wait(54));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-20,-40,332,664);


(lib.Symbol36 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol35("synched",0);
	this.instance.setTransform(184.5,402,0.4667,0.4667,0,0,0,187.5,375);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({scaleX:1.1067,scaleY:1.1067,x:185.5,y:375,alpha:1},9,cjs.Ease.get(1)).to({scaleX:1,scaleY:1,x:187.5},5,cjs.Ease.get(1)).wait(65).to({startPosition:0},0).to({y:365},5).to({y:375},5).wait(56).to({startPosition:0},0).to({_off:true},1).wait(54));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-22,-40,332,664);


(lib.Symbol34 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol33("synched",0);
	this.instance.setTransform(184.5,402,0.4667,0.4667,0,0,0,187.5,375);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({scaleX:1.1067,scaleY:1.1067,x:185.5,y:375,alpha:1},9,cjs.Ease.get(1)).to({scaleX:1,scaleY:1,x:187.5},5,cjs.Ease.get(1)).wait(60).to({startPosition:0},0).to({y:365},5,cjs.Ease.get(1)).to({y:375},5,cjs.Ease.get(1)).wait(61).to({startPosition:0},0).to({_off:true},1).wait(54));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-22,-40,332,664);


(lib.Symbol32 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol31("synched",0);
	this.instance.setTransform(184.5,402,0.4667,0.4667,0,0,0,187.5,375);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({scaleX:1.1067,scaleY:1.1067,x:185.5,y:375,alpha:1},9,cjs.Ease.get(1)).to({scaleX:1,scaleY:1,x:187.5},5,cjs.Ease.get(1)).wait(55).to({startPosition:0},0).to({y:365},5,cjs.Ease.get(1)).to({y:375},5).wait(66).to({startPosition:0},0).to({_off:true},1).wait(54));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-22,-40,332,664);


(lib.Symbol30 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol29("synched",0);
	this.instance.setTransform(184.5,402,0.4667,0.4667,0,0,0,187.5,375);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({scaleX:1.1067,scaleY:1.1067,x:185.5,y:375,alpha:1},9,cjs.Ease.get(1)).to({scaleX:1,scaleY:1,x:187.5},5,cjs.Ease.get(1)).wait(50).to({startPosition:0},0).to({y:365},5,cjs.Ease.get(1)).to({y:375},5,cjs.Ease.get(1)).wait(71).to({startPosition:0},0).to({_off:true},1).wait(55));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-22,-40,332,664);


(lib.Symbol28 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol27("synched",0);
	this.instance.setTransform(192,216,1.6,1.6,0,0,0,187.5,375);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({regY:374.9,scaleX:0.9333,scaleY:0.9333,x:187,y:392.9,alpha:1},9,cjs.Ease.get(1)).to({regY:375,scaleX:1,scaleY:1,x:187.5,y:375},5).wait(65).to({startPosition:0},0).to({scaleX:1.1067,scaleY:1.1067,y:346},5).to({scaleX:1,scaleY:1,y:375},5).to({scaleX:1.1067,scaleY:1.1067,x:187.55,y:346},5).to({scaleX:1,scaleY:1,x:187.5,y:375},5).wait(30).to({startPosition:0},0).to({_off:true},1).wait(80));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-108,-384,480,987);


(lib.Symbol26 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol25("synched",0);
	this.instance.setTransform(187.5,215,1,1,0,0,0,187.5,375);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({y:385,alpha:1},9,cjs.Ease.get(1)).to({y:375},5).wait(121).to({startPosition:0},0).to({_off:true},1).wait(64));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,-160,300,770);


(lib.Symbol24 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol23("synched",0);
	this.instance.setTransform(187.5,463,1,1,0,0,0,187.5,375);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({y:365,alpha:1},9,cjs.Ease.get(1)).to({y:375},5,cjs.Ease.get(1)).wait(118).to({startPosition:0},0).to({_off:true},1).wait(67));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,-10,300,698);


(lib.Symbol22 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol21("synched",0);
	this.instance.setTransform(317.5,375,1,1,0,0,0,187.5,375);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:177.5,alpha:1},9,cjs.Ease.get(1)).to({x:187.5},5,cjs.Ease.get(1)).wait(95).to({startPosition:0},0).to({_off:true},1).wait(90));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-10,0,440,600);


(lib.Symbol20 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol19("synched",0);
	this.instance.setTransform(317.5,375,1,1,0,0,0,187.5,375);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:177.5,alpha:1},9,cjs.Ease.get(1)).to({x:187.5},5).wait(99).to({startPosition:0},0).to({_off:true},1).wait(86));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-10,0,440,600);


(lib.Symbol18 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol17("synched",0);
	this.instance.setTransform(317.5,375,1,1,0,0,0,187.5,375);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:177.5,alpha:1},9,cjs.Ease.get(1)).to({x:187.5},5).wait(103).to({startPosition:0},0).to({_off:true},1).wait(82));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-10,0,440,600);


(lib.Symbol16 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol15("synched",0);
	this.instance.setTransform(185,370,1.2,1.2,0,0,0,187.5,375);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({scaleX:1,scaleY:1,x:187.5,y:375,alpha:1},14,cjs.Ease.get(1)).wait(131).to({startPosition:0},0).to({_off:true},1).wait(54));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-40,-80,360,720);


(lib.Symbol14 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol13("synched",0);
	this.instance.setTransform(317.5,375,1,1,0,0,0,187.5,375);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:177.5,alpha:1},9,cjs.Ease.get(1)).to({x:187.5},5,cjs.Ease.get(1)).wait(107).to({startPosition:0},0).to({_off:true},1).wait(78));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-10,0,440,600);


(lib.Symbol12 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol11("synched",0);
	this.instance.setTransform(317.5,375,1,1,0,0,0,187.5,375);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({x:177.5,alpha:1},9,cjs.Ease.get(1)).to({x:187.5},5).wait(30).to({startPosition:0},0).to({regY:374.9,scaleX:1.1067,scaleY:1.1067,x:185.5,y:395.9},5).to({regY:375,scaleX:1,scaleY:1,x:187.5,y:375},5).to({scaleX:1.1067,scaleY:1.1067,x:185.5,y:396},5).to({scaleX:1,scaleY:1,x:187.5,y:375},5).wait(61).to({startPosition:0},0).to({_off:true},1).wait(74));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-22,-19,452,664);


(lib.Symbol8 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol7("synched",0);
	this.instance.setTransform(186.5,286,0.4667,0.4667,0,0,0,187.5,375);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({regY:374.9,scaleX:1.1067,scaleY:1.1067,x:185.5,y:395.9,alpha:1},9,cjs.Ease.get(1)).to({regY:375,scaleX:1,scaleY:1,x:187.5,y:375},5).wait(30).to({startPosition:0},0).to({scaleX:1.1067,scaleY:1.1067,x:185.5,y:396},5).to({scaleX:1,scaleY:1,x:187.5,y:375},5).to({scaleX:1.1067,scaleY:1.1067,x:185.5,y:396},5).to({scaleX:1,scaleY:1,x:187.5,y:375},5).wait(86).to({startPosition:0},0).to({_off:true},1).wait(65));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-22,-19,332,664);


(lib.Symbol6 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol5("synched",0);
	this.instance.setTransform(187.5,463,1,1,0,0,0,187.5,375);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({y:365,alpha:1},9,cjs.Ease.get(1)).to({y:375},5,cjs.Ease.get(1)).wait(126).to({startPosition:0},0).to({_off:true},1).wait(59));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,-10,300,698);


(lib.Symbol4 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol3("synched",0);
	this.instance.setTransform(187.5,215,1,1,0,0,0,187.5,375);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({y:385,alpha:1},9,cjs.Ease.get(1)).to({y:375},5).wait(145).to({startPosition:0},0).to({_off:true},1).wait(40));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(0,-160,300,770);


(lib.Symbol2 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// Layer_1
	this.instance = new lib.Symbol1("synched",0);
	this.instance.setTransform(185,370,1.2,1.2,0,0,0,187.5,375);
	this.instance.alpha = 0;

	this.timeline.addTween(cjs.Tween.get(this.instance).to({scaleX:1,scaleY:1,x:187.5,y:375,alpha:1},9,cjs.Ease.get(1)).to({startPosition:0},5).wait(145).to({startPosition:0},0).to({_off:true},1).wait(40));

	this._renderFirstFrame();

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = new cjs.Rectangle(-40,-80,360,720);


(lib.Symbol1aa = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	this.isSingleFrame = false;
	// timeline functions:
	this.frame_0 = function() {
		if(this.isSingleFrame) {
			return;
		}
		if(this.totalFrames == 1) {
			this.isSingleFrame = true;
		}
		//U3RhcnRTeW1ib2xBZG1pY3JvfHxMYW5kaW5nfHx2ZXIyLjB8fDIwMjF8fEVuZFN5bWJvbEFkbWljcm8=
		
		var self = this;
		self.landingForm.addEventListener("click", onClickLanding)
		
		var getQuery = function (a) {
			var v = '';
			if (a = (new RegExp('[?&]' + encodeURIComponent(a) + '=([^&]*)')).exec(location.search)) {
				v = decodeURIComponent(a[1]);
			}
			return v;
		};
		
		var getLocation=window.location.hostname;
		var admid = getQuery('admid');
		var admRET = getQuery('ret');
		var admURL = getQuery('url');
		var linkLanding;
		
		if (admRET != null && admRET != '' && admRET !== "undefined") {
			linkLanding = admRET;
		} else if (admURL != null && admURL != '' && admURL !== "undefined") {
			linkLanding = admURL;
		} else if (getLocation == "min.admicro.vn"||getLocation=="127.0.0.1"||getLocation=="localhost") {
			linkLanding = "https://admicro.vn/";
		}
		
		if (admid == null || admid == '' || admid === "undefined") {
			admid = 'app_popup_native';
		}
		
		function onClickLanding(e) {
			if (window.event.which != 1) return;
		
			if (linkLanding != null && linkLanding != '' && linkLanding !== "undefined") {
				window.open(linkLanding, '_blank');
				try {
					parent.postMessage({
						'target': 'superitvc_post_message',
						'event': 'clickAddon'
					}, '*');
				} catch (err) {}
			} else {
				parent.postMessage("click_" + admid, "*");
			}
		
		}
		
		var strChangeDomain = 'cdnstoremedia.com';
		strLink = "https://";
		var domain = document.domain;
		
		if (domain == "" || domain.indexOf('localhost') != -1 || domain.indexOf('127.0.0.1') != -1 || domain.indexOf('admicro.vn') != -1 || domain.indexOf('vcmedia.vn') != -1 || domain.indexOf('doubleclick.net') != -1 || domain.indexOf('yomedia.vn') != -1 || domain.indexOf('2mdn.net') != -1 || domain.indexOf('googlesyndication.com') != -1 || domain.indexOf('googleadservices.com') != -1 || domain.indexOf('adsrvr.org') != -1 || domain.indexOf('serving-sys.com') != -1 || domain.indexOf('appspot.com') != -1 || domain.indexOf('surfcountor.com') != -1) {
			strChangeDomain = 'cdnstoremedia.com';
		} else {
			strLink = '';
			strChangeDomain = '';
		}
		
		if (typeof (window.fDisplay) != "undefined") {
			if(window.fDisplay==="pc"){
				var loadLibFuncBoxapp = document.createElement("script");
				loadLibFuncBoxapp.src = strLink+strChangeDomain+'/adt/banners/nam2015/2033/func-boxapp-html.js';
				document.head.appendChild(loadLibFuncBoxapp);
			}
		}
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// Layer_1
	this.landingForm = new lib.Symbol3copy5();
	this.landingForm.name = "landingForm";
	this.landingForm.setTransform(275,200,1,1,0,0,0,275,200);
	new cjs.ButtonHelper(this.landingForm, 0, 1, 2, false, new lib.Symbol3copy5(), 3);

	this.timeline.addTween(cjs.Tween.get(this.landingForm).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.Symbol1aa, new cjs.Rectangle(-1,-1,552,402), null);


(lib.GrBtnReplay = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	this.isSingleFrame = false;
	// timeline functions:
	this.frame_0 = function() {
		if(this.isSingleFrame) {
			return;
		}
		if(this.totalFrames == 1) {
			this.isSingleFrame = true;
		}
		//U3RhcnRTeW1ib2xBZG1pY3JvfHxCdXR0b24tUmVwbGF5fHx2ZXIxLjAuMnx8MjAyMXx8RW5kU3ltYm9sQWRtaWNybw==
		
		
		window.checkShowRep = false;
		var self = this;
		var posClose = self.localToGlobal(self.mcPos.x, self.mcPos.y);
		var currentLocation = window.location;
		var urlClose;
		var color_pick = "#333333";
		var showChildrenRep = false;
		self.name = "mcReplay";
		self.mcPos.visible = false;
		window.main = this.parent;
		var isMainStop = false;
		
		////console.log("self.mcPos", self.mcPos, self.mcPos.filters[0].blueOffset, self.mcPos.filters[0].greenOffset, self.mcPos.filters[0].redOffset)
		if (self.mcPos.filters && self.mcPos.filters[0]) {
			var rgbToHex = function (rgb) {
				var hex = Number(rgb).toString(16);
				if (hex.length < 2) {
					hex = "0" + hex;
				}
				return hex;
			};
			function changeRGB(r, g, b) {
				var red = rgbToHex(r);
				var green = rgbToHex(g);
				var blue = rgbToHex(b);
				return red + green + blue;
			};
		
			color_pick = "#" + changeRGB(self.mcPos.filters[0].redOffset, self.mcPos.filters[0].greenOffset, self.mcPos.filters[0].blueOffset);
		}
		
		if (currentLocation.hostname.toString() == "127.0.0.1") {
			var wrapper = document.createElement("DIV");
			wrapper.id = "replayCover";
			wrapper.style.position = "absolute";
			wrapper.style.zIndex = 6;
			wrapper.style.width = self.mcPos.nominalBounds.width * self.mcPos.scaleX + "px";
			wrapper.style.height = self.mcPos.nominalBounds.height * self.mcPos.scaleY + "px";
			document.getElementById("animation_container").appendChild(wrapper);
			var replayBtn = document.createElement("DIV");
			replayBtn.id = "bg_replay";
			replayBtn.style.width = "100%";
			replayBtn.style.height = "100%";
			replayBtn.style.position = "absolute";
			replayBtn.style.cursor = "pointer";
			replayBtn.style.visibility = "hidden";
			replayBtn.style.display = "none";
			replayBtn.style.zIndex = "6";
			document.getElementById("replayCover").appendChild(replayBtn)
		}
		
		if (document.getElementById("replayCover") && document.getElementById("bg_replay")) {
			////console.log("vao chinh rep", window.wrapper);
		
			//document.getElementById("replayCover").style.width = self.mcPos.nominalBounds.width + "px";
			//document.getElementById("replayCover").style.height = self.mcPos.nominalBounds.height + "px";
			document.getElementById("replayCover").style.width = self.mcPos.nominalBounds.width * self.mcPos.scaleX + "px";
			document.getElementById("replayCover").style.height = self.mcPos.nominalBounds.height * self.mcPos.scaleY + "px";
			document.getElementById("replayCover").style.left = posClose.x + "px";
			document.getElementById("replayCover").style.top = posClose.y + "px";
			document.getElementById("replayCover").style.zIndex = "6";
			document.getElementById("bg_replay").style.zIndex = "6";
			document.getElementById("bg_replay").innerHTML = '<?xml version="1.0" encoding="iso-8859-1"?><svg version="1.1" id="Capa_1" xmlns="http://www.w3.org/2000/svg"  xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 305.836 305.836" style="enable-background:new 0 0 305.836 305.836;display:block;" xml:space="preserve"><g><path id="rep" d="M152.924,300.748c84.319,0,152.912-68.6,152.912-152.918c0-39.476-15.312-77.231-42.346-105.564c0,0,3.938-8.857,8.814-19.783c4.864-10.926-2.138-18.636-15.648-17.228l-79.125,8.289c-13.511,1.411-17.999,11.467-10.021,22.461l46.741,64.393c7.986,10.992,17.834,12.31,22.008,2.937l7.56-16.964c12.172,18.012,18.976,39.329,18.976,61.459c0,60.594-49.288,109.875-109.87,109.875c-60.591,0-109.882-49.287-109.882-109.875c0-19.086,4.96-37.878,14.357-54.337c5.891-10.325,2.3-23.467-8.025-29.357c-10.328-5.896-23.464-2.3-29.36,8.031C6.923,95.107,0,121.27,0,147.829C0,232.148,68.602,300.748,152.924,300.748z"/></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g><g></g></svg><style>#rep{fill: ' + color_pick + ' !important}</style>';
			document.getElementById("bg_replay").addEventListener("click", onClickRepDom);
		}
		
		
		
		function onClickRepDom() {
			window.eventRep();
			createjs.Ticker.addEventListener('tick', stage);
		}
		
		window.eventRep = function () {
			isMainStop = false;
			window.isCompleteVideo = false;
			main.gotoAndPlay(0);
			for (var i = 0; i < main.children.length; i++) {
				if (main.children[i].currentFrame > 0) {
					main.children[i].gotoAndPlay(0);
				}
			}
			window.showReplay(false);
			if (typeof window.initVideo == 'function') {
				////console.log("window.initVideo")
				window.initVideo();
			}
			
			if (typeof window.initForm == 'function') {
				////console.log("window.initVideo")
				window.initForm();
			}
			createjs.Ticker.addEventListener("tick", handleTick);
		}
		window.showReplay = function (check) {
			onShowHideButtonRep(check);
		}
		
		
		
		window.initRep = function () {
			isMainStop = false;
			showChildrenRep = false;
			createjs.Ticker.addEventListener("tick", handleTick);
		}
		
		function onShowHideButtonRep(check) {
			window.checkShowRep = check;
			if (check) {
				if (document.getElementById("bg_replay")) {
					document.getElementById("bg_replay").style.visibility = "visible";
					document.getElementById("bg_replay").style.display = "block";
				}
				if(!document.getElementById("box-form")){
					createjs.Ticker.removeEventListener('tick', stage);
				}
			} else {
				if (document.getElementById("bg_replay")) {
					document.getElementById("bg_replay").style.visibility = "hidden";
					document.getElementById("bg_replay").style.display = "none";
				}
				createjs.Ticker.addEventListener('tick', stage);
			}
		}
		
		
		
		function handleTick(e) {
			//console.log("window.main.currentFrame: ", window.main.currentFrame, "window.main.duration: ", window.main.duration)
			if (window.main.currentFrame == (window.main.duration - 1) && !isMainStop) {
				isMainStop = true;
				window.main.stop();
				if (document.getElementById("box-video-dom") && window.playVideo) {
					window.showReplay(false);
				} else {
					window.showReplay(true);
				}
		
				createjs.Ticker.removeEventListener("tick", handleTick);
			}
		}
		
		console.log("vao day 1")
		window.main.stop();
		if (!document.getElementById("box-video-dom")) {
			window.showReplay(true);
		}
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// Layer_1
	this.mcPos = new lib.Symbol3copy4();
	this.mcPos.name = "mcPos";
	this.mcPos.setTransform(0,0,0.7143,0.7143);
	var mcPosFilter_1 = new cjs.ColorFilter(0,0,0,1,51,0,51,0);
	this.mcPos.filters = [mcPosFilter_1];
	this.mcPos.cache(-2,-2,18,18);

	this.timeline.addTween(cjs.Tween.get(this.mcPos).wait(1));
	this.timeline.addTween(cjs.Tween.get(mcPosFilter_1).wait(1));

	this._renderFirstFrame();

}).prototype = getMCSymbolPrototype(lib.GrBtnReplay, new cjs.Rectangle(0,0,10,10), null);


// stage content:
(lib._300x600 = function(mode,startPosition,loop,reversed) {
if (loop == null) { loop = true; }
if (reversed == null) { reversed = false; }
	var props = new Object();
	props.mode = mode;
	props.startPosition = startPosition;
	props.labels = {};
	props.loop = loop;
	props.reversed = reversed;
	cjs.MovieClip.apply(this,[props]);

	// button
	this.instance = new lib.GrBtnReplay();
	this.instance.setTransform(291,587.95,1,1,0,0,0,7,7);
	this.instance._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(289).to({_off:false},0).wait(1));
	this.instance.addEventListener("tick", AdobeAn.handleFilterCache);

	// code
	this.boDem = new lib.Symbol1aa();
	this.boDem.name = "boDem";
	this.boDem.setTransform(657.2,658.3,2.4436,3.3597,0,0,0,274.9,199.8);

	this.timeline.addTween(cjs.Tween.get(this.boDem).wait(290));

	// _e_png
	this.instance_1 = new lib.Symbol22("synched",0);
	this.instance_1.setTransform(187.5,375,1,1,0,0,0,187.5,375);
	this.instance_1._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_1).wait(180).to({_off:false},0).wait(110));

	// _d_png
	this.instance_2 = new lib.Symbol20("synched",0);
	this.instance_2.setTransform(187.5,375,1,1,0,0,0,187.5,375);
	this.instance_2._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_2).wait(176).to({_off:false},0).wait(114));

	// _c_png
	this.instance_3 = new lib.Symbol18("synched",0);
	this.instance_3.setTransform(187.5,375,1,1,0,0,0,187.5,375);
	this.instance_3._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_3).wait(172).to({_off:false},0).wait(118));

	// _b_png
	this.instance_4 = new lib.Symbol14("synched",0);
	this.instance_4.setTransform(187.5,375,1,1,0,0,0,187.5,375);
	this.instance_4._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_4).wait(168).to({_off:false},0).wait(122));

	// _a_png
	this.instance_5 = new lib.Symbol12("synched",0);
	this.instance_5.setTransform(187.5,375,1,1,0,0,0,187.5,375);
	this.instance_5._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_5).wait(164).to({_off:false},0).wait(126));

	// _hotline_png
	this.instance_6 = new lib.Symbol24("synched",0);
	this.instance_6.setTransform(187.5,375,1,1,0,0,0,187.5,375);
	this.instance_6._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_6).wait(157).to({_off:false},0).wait(133));

	// _nhanve_png
	this.instance_7 = new lib.Symbol28("synched",0);
	this.instance_7.setTransform(187.5,375.1,1,1,0,0,0,187.5,375.1);
	this.instance_7._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_7).wait(160).to({_off:false},0).wait(130));

	// _logo_png
	this.instance_8 = new lib.Symbol26("synched",0);
	this.instance_8.setTransform(187.5,375,1,1,0,0,0,187.5,375);
	this.instance_8._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_8).wait(154).to({_off:false},0).wait(136));

	// _bg_jpg
	this.instance_9 = new lib.Symbol16("synched",0);
	this.instance_9.setTransform(187.5,375,1,1,0,0,0,187.5,375);
	this.instance_9._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_9).wait(144).to({_off:false},0).wait(146));

	// _spon_png
	this.instance_10 = new lib.Symbol6("synched",0);
	this.instance_10.setTransform(188,381.5,1,1,0,0,0,188,381.5);
	this.instance_10._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_10).wait(19).to({_off:false},0).to({_off:true},141).wait(130));

	// _g_png
	this.instance_11 = new lib.Symbol40("synched",0);
	this.instance_11.setTransform(188,381.5,1,1,0,0,0,188,381.5);
	this.instance_11._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_11).wait(14).to({_off:false},0).to({_off:true},146).wait(130));

	// _e_png
	this.instance_12 = new lib.Symbol38("synched",0);
	this.instance_12.setTransform(188,381.5,1,1,0,0,0,188,381.5);
	this.instance_12._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_12).wait(14).to({_off:false},0).to({_off:true},146).wait(130));

	// _d_png
	this.instance_13 = new lib.Symbol36("synched",0);
	this.instance_13.setTransform(188,381.5,1,1,0,0,0,188,381.5);
	this.instance_13._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_13).wait(14).to({_off:false},0).to({_off:true},146).wait(130));

	// _c_png
	this.instance_14 = new lib.Symbol34("synched",0);
	this.instance_14.setTransform(188,381.5,1,1,0,0,0,188,381.5);
	this.instance_14._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_14).wait(14).to({_off:false},0).to({_off:true},146).wait(130));

	// _b_png
	this.instance_15 = new lib.Symbol32("synched",0);
	this.instance_15.setTransform(188,381.5,1,1,0,0,0,188,381.5);
	this.instance_15._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_15).wait(14).to({_off:false},0).to({_off:true},146).wait(130));

	// _a_png
	this.instance_16 = new lib.Symbol30("synched",0);
	this.instance_16.setTransform(188,381.5,1,1,0,0,0,188,381.5);
	this.instance_16._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_16).wait(14).to({_off:false},0).to({_off:true},146).wait(130));

	// _ta_png
	this.instance_17 = new lib.Symbol8("synched",0);
	this.instance_17.setTransform(188,381.5,1,1,0,0,0,188,381.5);
	this.instance_17._off = true;

	this.timeline.addTween(cjs.Tween.get(this.instance_17).wait(9).to({_off:false},0).to({_off:true},151).wait(130));

	// _logo_png
	this.instance_18 = new lib.Symbol4("synched",0);
	this.instance_18.setTransform(188,381.5,1,1,0,0,0,188,381.5);

	this.timeline.addTween(cjs.Tween.get(this.instance_18).to({_off:true},160).wait(130));

	// _bg_jpg
	this.instance_19 = new lib.Symbol2("synched",0);
	this.instance_19.setTransform(188,381.5,1,1,0,0,0,188,381.5);

	this.timeline.addTween(cjs.Tween.get(this.instance_19).to({_off:true},160).wait(130));

	this._renderFirstFrame();

}).prototype = p = new lib.AnMovieClip();
p.nominalBounds = new cjs.Rectangle(42,-84,388,772);
// library properties:
lib.properties = {
	id: '2B6F453AFF0A714089F176EB21DC78B1',
	width: 300,
	height: 600,
	fps: 30,
	color: "#FFFFFF",
	opacity: 1.00,
	manifest: [
		{src:"images/_1a.png?1784882746786", id:"_1a"},
		{src:"images/_1b.png?1784882746786", id:"_1b"},
		{src:"images/_1bg.jpg?1784882746786", id:"_1bg"},
		{src:"images/_1c.png?1784882746786", id:"_1c"},
		{src:"images/_1d.png?1784882746786", id:"_1d"},
		{src:"images/_1e.png?1784882746786", id:"_1e"},
		{src:"images/_1g.png?1784882746786", id:"_1g"},
		{src:"images/_1logo.png?1784882746786", id:"_1logo"},
		{src:"images/_1spon.png?1784882746786", id:"_1spon"},
		{src:"images/_1ta.png?1784882746786", id:"_1ta"},
		{src:"images/_2a.png?1784882746786", id:"_2a"},
		{src:"images/_2b.png?1784882746786", id:"_2b"},
		{src:"images/_2bg.jpg?1784882746786", id:"_2bg"},
		{src:"images/_2c.png?1784882746786", id:"_2c"},
		{src:"images/_2d.png?1784882746786", id:"_2d"},
		{src:"images/_2e.png?1784882746786", id:"_2e"},
		{src:"images/_2hotline.png?1784882746786", id:"_2hotline"},
		{src:"images/_2logo.png?1784882746786", id:"_2logo"},
		{src:"images/_2nhanve.png?1784882746786", id:"_2nhanve"},
		{src:"images/replay_btn.png?1784882746786", id:"replay_btn"}
	],
	preloads: []
};



// bootstrap callback support:

(lib.Stage = function(canvas) {
	createjs.Stage.call(this, canvas);
}).prototype = p = new createjs.Stage();

p.setAutoPlay = function(autoPlay) {
	this.tickEnabled = autoPlay;
}
p.play = function() { this.tickEnabled = true; this.getChildAt(0).gotoAndPlay(this.getTimelinePosition()) }
p.stop = function(ms) { if(ms) this.seek(ms); this.tickEnabled = false; }
p.seek = function(ms) { this.tickEnabled = true; this.getChildAt(0).gotoAndStop(lib.properties.fps * ms / 1000); }
p.getDuration = function() { return this.getChildAt(0).totalFrames / lib.properties.fps * 1000; }

p.getTimelinePosition = function() { return this.getChildAt(0).currentFrame / lib.properties.fps * 1000; }

an.bootcompsLoaded = an.bootcompsLoaded || [];
if(!an.bootstrapListeners) {
	an.bootstrapListeners=[];
}

an.bootstrapCallback=function(fnCallback) {
	an.bootstrapListeners.push(fnCallback);
	if(an.bootcompsLoaded.length > 0) {
		for(var i=0; i<an.bootcompsLoaded.length; ++i) {
			fnCallback(an.bootcompsLoaded[i]);
		}
	}
};

an.compositions = an.compositions || {};
an.compositions['2B6F453AFF0A714089F176EB21DC78B1'] = {
	getStage: function() { return exportRoot.stage; },
	getLibrary: function() { return lib; },
	getSpriteSheet: function() { return ss; },
	getImages: function() { return img; }
};

an.compositionLoaded = function(id) {
	an.bootcompsLoaded.push(id);
	for(var j=0; j<an.bootstrapListeners.length; j++) {
		an.bootstrapListeners[j](id);
	}
}

an.getComposition = function(id) {
	return an.compositions[id];
}


an.makeResponsive = function(isResp, respDim, isScale, scaleType, domContainers) {		
	var lastW, lastH, lastS=1;		
	window.addEventListener('resize', resizeCanvas);		
	resizeCanvas();		
	function resizeCanvas() {			
		var w = lib.properties.width, h = lib.properties.height;			
		var iw = window.innerWidth, ih=window.innerHeight;			
		var pRatio = window.devicePixelRatio || 1, xRatio=iw/w, yRatio=ih/h, sRatio=1;			
		if(isResp) {                
			if((respDim=='width'&&lastW==iw) || (respDim=='height'&&lastH==ih)) {                    
				sRatio = lastS;                
			}				
			else if(!isScale) {					
				if(iw<w || ih<h)						
					sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==1) {					
				sRatio = Math.min(xRatio, yRatio);				
			}				
			else if(scaleType==2) {					
				sRatio = Math.max(xRatio, yRatio);				
			}			
		}
		domContainers[0].width = w * pRatio * sRatio;			
		domContainers[0].height = h * pRatio * sRatio;
		domContainers.forEach(function(container) {				
			container.style.width = w * sRatio + 'px';				
			container.style.height = h * sRatio + 'px';			
		});
		stage.scaleX = pRatio*sRatio;			
		stage.scaleY = pRatio*sRatio;
		lastW = iw; lastH = ih; lastS = sRatio;            
		stage.tickOnUpdate = false;            
		stage.update();            
		stage.tickOnUpdate = true;		
	}
}
an.handleSoundStreamOnTick = function(event) {
	if(!event.paused){
		var stageChild = stage.getChildAt(0);
		if(!stageChild.paused || stageChild.ignorePause){
			stageChild.syncStreamSounds();
		}
	}
}
an.handleFilterCache = function(event) {
	if(!event.paused){
		var target = event.target;
		if(target){
			if(target.filterCacheList){
				for(var index = 0; index < target.filterCacheList.length ; index++){
					var cacheInst = target.filterCacheList[index];
					if((cacheInst.startFrame <= target.currentFrame) && (target.currentFrame <= cacheInst.endFrame)){
						cacheInst.instance.cache(cacheInst.x, cacheInst.y, cacheInst.w, cacheInst.h);
					}
				}
			}
		}
	}
}


})(createjs = createjs||{}, AdobeAn = AdobeAn||{});
var createjs, AdobeAn;